﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
// Added by Dana Crosby
using Infragistics.Web.UI.NavigationControls;

namespace MenuTest
{
    public partial class Site : System.Web.UI.MasterPage
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            BuildMenu(WebDataMenuH);
            BuildMenu(WebDataMenuV);
        }

        protected void BuildMenu(WebDataMenu menu)
        {
            // Menu #1
            int iMenuIndex = 0;
            menu.Items.Add(new DataMenuItem
            {
                Text = "Functions"
            });
            for (int x = 1; x <= 10; x++)
            {
                menu.Items[iMenuIndex].Items.Add(new DataMenuItem
                {
                    Text = "Function" + x.ToString(),
                    NavigateUrl = "/Function" + x.ToString() + ".aspx"
                });

            }

            // Menu #2
            iMenuIndex = iMenuIndex + 1;
            menu.Items.Add(new DataMenuItem
            {
                Text = "Reports"
            });
            menu.Items[iMenuIndex].Items.Add(new DataMenuItem
            {
                Text = "Report1",
                NavigateUrl = "/Report1.aspx"
            });
            menu.Items[iMenuIndex].Items.Add(new DataMenuItem
            {
                Text = "Report2",
                NavigateUrl = "/Report2.aspx"
            });
            menu.Items[iMenuIndex].Items.Add(new DataMenuItem
            {
                Text = "Report3",
                NavigateUrl = "/Report3.aspx"
            });
            menu.Items[iMenuIndex].Items.Add(new DataMenuItem
            {
                Text = "Report4",
                NavigateUrl = "/Report4.aspx"
            });
            menu.Items[iMenuIndex].Items.Add(new DataMenuItem
            {
                Text = "Report5",
                NavigateUrl = "/Report5.aspx"
            });
        }

    }
}
